const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    global edi;
    global st7;
    v0_4 = edi;
    v0_9 = z.x;
    v3_b = *((arg1 + &global_var_30_1));
    edi = v3_b;
    st7 = z.z * *((v3_b - 56));
    z.x = function_bc();
    st7 = (st7 + z.z) * *((edi - 48));
    z.x = function_bc();
    st7 += z.z;
    z.x = function_bc();
    st7 = (z.x - st7 * *((edi - 24))) * *((edi - 16));
    z.x = function_bc();
    z.x = function_bc();
    z.x = function_bc();
    z.x = function_bc();
    z.x = function_bc();
    z.x = function_bc();
    *z.z = (z.z - st5 * *((edi - 40))) * *((edi - 16));
    *z.y = st6;
    *v0_9 = st7;
    z.x = v0_9;
    edi = v0_4;
    return v0_9;

# Address range: 0xbc - 0xeb;
def function_bc():;
    global z.x;
    global st5;
    global st6;
    global st7;
    v6_bc = st7 * edi;
    v4_c6 = 0.0;
    v3_ca = v4_c6 * v4_c6;
    v7_d6 = v3_ca * (v3_ca * edi[32] + edi[24]) + edi[16];
    st5 = v7_d6;
    v7_db = v3_ca * v7_d6 + edi[8];
    st6 = v7_db;
    v4_de = v4_c6 * v7_db;
    st7 = v4_de;
    v2_e4 = v6_bc % 2;
    v11_e4 = z.x & -256 | v2_e4;
    z.x = v11_e4;
    if v2_e4 != 0:;
        # 0xe8;
        st7 = -v4_de;
    # 0xea;
    return v11_e4;


	}